Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.abase.aBase.util
Class ABaseAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.amp.amf.abase.aBase.util.ABaseAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  ABaseItemProviderAdapterFactory

    public class ABaseAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `ABasePackage`

Field Summary
`protected static ABasePackage` | `modelPackage` The cached model package.
`protected ABaseSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

Constructor Summary
`ABaseAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createBooleanValueAdapter()` Creates a new adapter for an object of class '`Boolean Value`'.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createIntValueAdapter()` Creates a new adapter for an object of class '`Int Value`'.
`org.eclipse.emf.common.notify.Adapter` | `createRealValueAdapter()` Creates a new adapter for an object of class '`Real Value`'.
`org.eclipse.emf.common.notify.Adapter` | `createStringValueAdapter()` Creates a new adapter for an object of class '`String Value`'.
`org.eclipse.emf.common.notify.Adapter` | `createValueAdapter()` Creates a new adapter for an object of class '`Value`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ABasePackage modelPackage

  The cached model package.

### modelSwitch

    protected ABaseSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### ABaseAdapterFactory

    public ABaseAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createValueAdapter

    public org.eclipse.emf.common.notify.Adapter createValueAdapter()

  Creates a new adapter for an object of class '`Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `Value`

### createIntValueAdapter

    public org.eclipse.emf.common.notify.Adapter createIntValueAdapter()

  Creates a new adapter for an object of class '`Int Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IntValue`

### createRealValueAdapter

    public org.eclipse.emf.common.notify.Adapter createRealValueAdapter()

  Creates a new adapter for an object of class '`Real Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `RealValue`

### createStringValueAdapter

    public org.eclipse.emf.common.notify.Adapter createStringValueAdapter()

  Creates a new adapter for an object of class '`String Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `StringValue`

### createBooleanValueAdapter

    public org.eclipse.emf.common.notify.Adapter createBooleanValueAdapter()

  Creates a new adapter for an object of class '`Boolean Value`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `BooleanValue`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD